"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectXPathInjection = detectXPathInjection;
const XPATH_INJECTION_PATTERNS = [
    /' or '1'='1/i,
    /" or "1"="1/i,
    /' or 'a'='a/i,
    /" or "a"="a/i,
    /' or '(.+?)'='(.+?)'/i,
    /" or "(.+?)"="(.+?)"/i,
    /\bconcat\((.*?)\)/i,
    /' or count\((.*?)\) > 0/i,
    /" or count\((.*?)\) > 0/i,
    /' or contains\((.*?)\)/i,
    /" or contains\((.*?)\)/i,
    /' or starts-with\((.*?)\)/i,
    /" or starts-with\((.*?)\)/i,
    /' or ends-with\((.*?)\)/i,
    /" or ends-with\((.*?)\)/i,
    /\bsubstring\((.*?)\)/i,
    /\/\*/i,
    /\.\.\/\.\./i,
    /\/\.\.\//i,
    /\bor\b|\band\b/i,
    /\btext\(\)/i,
    /\[.*?\]/i,
    /not\((.*?)\)/i,
    /\$\{.*?\}/i,
    /\bnamespace\b/i,
];
function detectXPathInjection(input) {
    return XPATH_INJECTION_PATTERNS.some((pattern) => pattern.test(input));
}
//# sourceMappingURL=xpathInjectionDetector.js.map